---
- name: rofi | Create config directory
  file:
    path: '{{ xdg_dir.config_home }}/rofi/themes'
    state: directory
    mode: '755'

- name: rofi | Copy config
  template:
    src: rofi/config.j2
    dest: '{{ xdg_dir.config_home }}/rofi/config.rasi'
    mode: '644'

- name: rofi | Copy file-browser-extended plugin config
  copy:
    src: rofi/file-browser
    dest: '{{ xdg_dir.config_home }}/rofi/file-browser'
    mode: '644'

- name: rofi | Copy theme
  template:
    src: rofi/theme.j2
    dest: '{{ xdg_dir.config_home }}/rofi/themes/{{ theme }}.rasi'
    mode: '644'
